{% extends  "base.html" %}

{% block content %}
  <div class="main">
    Меню кафе:
    {% set ns = namespace(catname = "") %}
    {% set ns = namespace(iscat = false) %}
    <ul class="price">
      {% for dish in menu %}
        {% if not (dish.category.name == ns.catname) %}
{#          <span>New category {{ dish.category.name }}!={{ ns.catname }}</span>#}
          {% if ns.iscat %}
            </li>
            </ul>
          {% endif %}
          <li> <span class="category-name">{{ dish.category.name }}</span>
          <ul class="price-item">
          {% set ns.iscat = true %}
          {% set ns.catname = dish.category.name %}
        {% endif %}
        <li>
          <table>
            <tr class="item-r1">
              <td class="item-name">{{ dish.name }}</td>
              <td class="item-price">{{ '%0.2f'|format(dish.price) }}</td>
            </tr>
            <tr>
              <td class="item-ingr">{{ dish.ingridients }}</td>
              <td class="item-weight">{{ dish.weight }} {{ dish.measures }}</td>
            </tr>
          </table>
        </li>
        {#        <li>{{ dish.category.name }} {{ dish.name }}</li> #}
      {% endfor %}
      </ul>
  </div>
{% endblock %}